﻿// HSS.CoreException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       CoreException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS
{
	#region Using Directives
	using System;
	using System.Runtime.Serialization;

	#endregion

	#region CoreException
	/// <summary>
	/// HSS Core exceptions.
	/// </summary>
	[Serializable]
	public class CoreException : Exception
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public CoreException()
			: base()
		{
		}
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="message">The exception message</param>
		public CoreException(string message)
			: base(message)
		{
		}
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="message">The exception message</param>
		/// <param name="innerException">The inner exception</param>
		public CoreException(string message, Exception innerException)
			: base(message, innerException)
		{
		}
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="info">The SerializationInfo</param>
		/// <param name="context">The StreamingContext</param>
		protected CoreException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
	#endregion
}