﻿// HSS.IO.Zip.ZipConstants.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ZipConstants.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.IO.Zip
{
	#region Using Directives
	using System;

	#endregion

	#region ZipConstants
	/// <summary>
	/// ZipConstants
	/// </summary>
	static class ZipConstants
	{
		public const UInt32 EndOfCentralDirectorySignature = 0x06054b50;
		public const int ZipEntrySignature = 0x04034b50;
		public const int ZipEntryDataDescriptorSignature = 0x08074b50;
		public const int ZipDirEntrySignature = 0x02014b50;

		// These are dictated by the Zip Spec.See APPNOTE.txt
		public const int AesKeySize = 192;  // 128, 192, 256
		public const int AesBlockSize = 128;  // ???

		public const UInt16 AesAlgId128 = 0x660E;
		public const UInt16 AesAlgId192 = 0x660F;
		public const UInt16 AesAlgId256 = 0x6610;
	}
	#endregion
}