// HSS.InitializationException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       InitializationException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS
{
	#region Using Directives
	using System;
	using System.Runtime.Serialization;

	#endregion

	#region InitializationException
	/// <summary>
	/// An exception that is thrown if an Initialization Routine has failed
	/// </summary>
	[Serializable]
	public class InitializationException : CoreException
	{
		#region Constructors
		/// <summary>
		/// ctor
		/// </summary>
		public InitializationException()
		{
		}
		/// <summary>
		/// ctor
		/// </summary>
		/// <param name="info">SerializationInfo</param>
		/// <param name="context">StreamingContext</param>
		protected InitializationException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
		/// <summary>
		/// ctor
		/// </summary>
		/// <param name="message">The exception message</param>
		public InitializationException(string message)
			: base(message)
		{
		}
		/// <summary>
		/// ctor
		/// </summary>
		/// <param name="message">The exception message</param>
		/// <param name="inner">The inner exception that this exception came from</param>
		public InitializationException(string message, Exception inner)
			: base(message, inner)
		{
		}
		#endregion
	}
	#endregion
}