// HSS.Logging.LogEntryAttachment.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       LogEntryAttachment.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging
{
	#region Using Directives
	using System;

	#endregion

	#region LogEntryAttachment
	/// <summary>
	/// An attachment tied to a LogEntry
	/// </summary>
	[Serializable]
	public class LogEntryAttachment
	{
		/// <summary>
		/// The display name of the Attachment. Typically the full file name
		/// </summary>
		public string DisplayName { get; set; }
		/// <summary>
		/// The name of the file
		/// </summary>
		public string LocalFileName { get; set; }
		/// <summary>
		/// The Id for the attachment used to reference to a Log Entry
		/// </summary>
		public int AttachmentID { get; set; }
		/// <summary>
		/// The extension for this attachment including the period (.txt)
		/// </summary>
		public string Extension { get; set; }
		/// <summary>
		/// The MIME Type of the data stored in this attachment
		/// </summary>
		public string ContentType { get; set; }
		/// <summary>
		/// The byte array containing the file contents
		/// </summary>
		public byte[] Content { get; set; }
	}
	#endregion
}