// HSS.Logging.MachineEventLogSource.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       MachineEventLogSource.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging
{
	#region MachineEventLogSource
	/// <summary>
	/// The available Machine EventLog Sources
	/// </summary>
	[System.Serializable()]
	public enum MachineEventLogSource : int
	{
		/// <summary>
		/// A Configuration Subsystem [ 1 ]
		/// </summary>
		Configuration = 1,
		/// <summary>
		/// A Workflow Subsystem [ 2 ]
		/// </summary>
		Workflow = 2,
		/// <summary>
		/// A surrograte or external process executable [ 3 ]
		/// </summary>
		ExternalProcess = 3,
		/// <summary>
		/// An NTService [ 4 ]
		/// </summary>
		NTService = 4,
		/// <summary>
		/// A Web Service [ 5 ]
		/// </summary>
		WebService = 5,
		/// <summary>
		/// A WinForm Application [ 6 ]
		/// </summary>
		WinForm = 6,
		/// <summary>
		/// A WebForm Application [ 7 ]
		/// </summary>
		WebForm = 7,
		/// <summary>
		/// An Installer [ 8 ]
		/// </summary>
		Installer = 8,
		/// <summary>
		/// A Debugger [ 9 ]
		/// </summary>
		Debugger = 9,
		/// <summary>
		/// Exception from a framework or core library [ 10 ]
		/// </summary>
		Core = 10,
		/// <summary>
		/// An general log source for non known sources
		/// </summary>
		General = 11,
		/// <summary>
		/// The HSS Log NTService [ 12 ]
		/// </summary>
		HSSLogService = 12
	}
	#endregion
}