// HSS.Logging.ValidationResults.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ValidationResults.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging
{
	#region Using Directives
	using System;
	using System.Runtime.Serialization;
	#endregion

	#region ValidationResults
	/// <summary>
	/// Information determined when validating a connection to the logging database
	/// </summary>
	[Serializable]
	[DataContract]
	public class ValidationResults
	{
		/// <summary>
		/// ctor
		/// </summary>
		public ValidationResults()
		{
		}

		/// <summary>
		/// Result message
		/// </summary>
		[DataMember]
		public string Message
		{
			get { return _message; }
			set { _message = value; }
		} string _message;
		/// <summary>
		/// Indicate of the connection is valid
		/// </summary>
		[DataMember]
		public bool Success
		{
			get { return _success; }
			set { _success = value; }
		} bool _success;
		/// <summary>
		/// Any exceptions encountered
		/// </summary>
		[DataMember]
		public Exception Error
		{
			get { return _error; }
			set { _error = value; }
		} Exception _error;
		/// <summary>
		/// Indicate if the <see cref="ValidationResults.Message"/> should be shown to the user
		/// </summary>
		[DataMember]
		public bool ShowVerbose
		{
			get { return _showVerbose; }
			set { _showVerbose = value; }
		} bool _showVerbose;
		/// <summary>
		/// Is the HSS Core DB Installed
		/// </summary>
		[DataMember]
		public bool CoreDBInstalled
		{
			get { return _coreDbInstalled; }
			set { _coreDbInstalled = value; }
		} bool _coreDbInstalled;
	}
	#endregion
}