﻿// HSS.Threading.Enums.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       Enums.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Threading
{
	#region ScheduleFrequency
	/// <summary>
	/// A Schedules frequency
	/// </summary>
	public enum ScheduleFrequency
	{
		/// <summary>
		/// Specify interval in days
		/// </summary>
		Daily,
		/// <summary>
		/// Specify interval in weeks
		/// </summary>
		Weekly,
		/// <summary>
		/// Specify interval in months
		/// </summary>
		Monthly
	}
	#endregion

	#region ScheduleDailyType
	/// <summary>
	/// A Schedules daily type. Either once a day or repeatedly specifing an interval and interval frequency
	/// </summary>
	public enum ScheduleDailyType
	{
		/// <summary>
		/// Indicates a timer should only run once a day
		/// </summary>
		OnceADay = 0,
		/// <summary>
		/// Indicates a timer should run repeatedly using an interval and interval frequency
		/// </summary>
		Repeatedly = 1
	}
	#endregion

	#region ScheduleIntervalFrequency
	/// <summary>
	/// A Schedules interval frequency
	/// </summary>
	public enum ScheduleIntervalFrequency
	{
		/// <summary>
		/// Specify interval in Seconds
		/// </summary>
		Seconds,
		/// <summary>
		/// Specify interval in Minutes
		/// </summary>
		Minutes,
		/// <summary>
		/// Specify interval in Hours
		/// </summary>
		Hours,
		/// <summary>
		/// Run Continuously
		/// </summary>
		Continuous
	}
	#endregion
}