// HSS.Threading.ScheduleExclusion.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ScheduleExclusion.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Threading
{
	#region Using Directives
	using System;
	#endregion

	#region ScheduleExclusion
	/// <summary>
	/// An Exclusion time spec
	/// </summary>
	[Serializable]
	public sealed class ScheduleExclusion
	{
		/// <summary>
		/// ctor
		/// </summary>
		public ScheduleExclusion()
		{
		}

		/// <summary>
		/// The day of the exclusion
		/// </summary>
		public DateTime Day
		{
			get { return _day; }
			set { _day = value; }
		} DateTime _day;

		/// <summary>
		/// Indicates the ScheduleExclusion is for the entire day (from 12:00:00 AM to 11:59:59 PM)
		/// </summary>
		public bool AllDay
		{
			get { return _allDay; }
			set { _allDay = value; }
		} bool _allDay = true;

		/// <summary>
		/// The begin time of the exclusion
		/// </summary>
		public DateTime StartTime
		{
			get { return _startTime; }
			set { _startTime = value; }
		} DateTime _startTime;

		/// <summary>
		/// The end time of the exclusion
		/// </summary>
		public DateTime EndTime
		{
			get { return _endTime; }
			set { _endTime = value; }
		} DateTime _endTime;
	}
	#endregion
}