// HSS.Threading.TimerState.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       TimerState.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System;

namespace HSS.Threading
{
    #region TimerStatus
    /// <summary>
    /// The state of a timer instance
    /// </summary>
    [Serializable]
    [Flags()]
    public enum TimerState : int
    {
        /// <summary>
        /// The timer is started
        /// </summary>
        Started = 0,
        /// <summary>
        /// The timer is stopping
        /// </summary>
        Stopped = 1,
        /// <summary>
        /// The timer is stopped
        /// </summary>
        Stopping = 2,
        /// <summary>
        /// The timer is paused
        /// </summary>
        Paused = 3,
        /// <summary>
        /// The timer is pausing
        /// </summary>
        Pausing = 4,
        /// <summary>
        /// The timer is starting
        /// </summary>
        Starting = 5
    }
    #endregion
}