﻿// HSS.Data.ModelGenerator.TemplateData.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       TemplateData.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data.ModelGenerator
{
	#region Using Directives
	using System;
	using HSS;
	#endregion

	#region TemplateData
	/// <summary>
	/// Contains the code for object model generation.
	/// </summary>
	[Serializable]
	public sealed class TemplateData : IConfigurationElement
	{
		#region Constructor
		/// <summary>
		/// Constructor
		/// </summary>
		public TemplateData()
		{

		}
		#endregion

		#region Properties
		/// <summary>
		/// The friendly name for the data stored in this object.
		/// </summary>
		public string Name
		{
			get;
			set;
		}
		/// <summary>
		/// Gets or sets the contents of the Template.
		/// </summary>
		public string Contents { get; set; }
		#endregion

		#region Overrides
		/// <summary>
		/// Gets the name of the Profile.
		/// </summary>
		/// <returns>The name of the Profile.</returns>
		public override string ToString()
		{
			return this.Name;
		}
		#endregion
	}
	#endregion
}