﻿// HSS.Data.ConnectionNotFoundException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ConnectionNotFoundException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data
{
	#region ConnectionNotFoundException
	/// <summary>
	/// The exception that is thrown when an attempt to retrieve a DataEntity specific Connection and one does not exist.
	/// </summary>
	public class ConnectionNotFoundException : System.Exception
	{
		/// <summary>
		/// Initializes a new instance of the HSS.Data.ConnectionNotFoundException class.
		/// </summary>
		public ConnectionNotFoundException()
			: base("No connection found for the specified Type.")
		{
		}
		/// <summary>
		/// Initializes a new instance of the HSS.Data.ConnectionNotFoundException class with a specified error message.
		/// </summary>
		/// <param name="message">The message that describes the error.</param>
		public ConnectionNotFoundException(string message)
			: base(message)
		{
		}
	}
	#endregion
}