﻿// HSS.Data.DataAccessConnectionNullException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       DataAccessConnectionNullException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data
{
	#region Using Directives
	using System;
	using System.Runtime.Serialization;
	#endregion

	#region DataAccessConnectionNullException
	/// <summary>
	/// This exception is thrown when a call to the 
	/// <see cref="DataAccessContext.GetDefaultConnectionString()"/>
	/// method is called and the 
	/// <see cref="DataAccessContext.DefaultConnection"/> is null.
	/// </summary>
	[Serializable]
	public class DataAccessConnectionNullException : Exception
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public DataAccessConnectionNullException()
			: base()
		{
		}
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="message">The exception message</param>
		public DataAccessConnectionNullException(string message)
			: base(message)
		{
		}
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="message">The exception message</param>
		/// <param name="innerException">The inner exception</param>
		public DataAccessConnectionNullException(string message, Exception innerException)
			: base(message, innerException)
		{
		}
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="info">The SerializationInfo</param>
		/// <param name="context">The StreamingContext</param>
		protected DataAccessConnectionNullException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
	#endregion
}