﻿// HSS.Data.DuplicateConnectionException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       DuplicateConnectionException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data
{
	#region DuplicateConnectionException
	/// <summary>
	/// The exception that is thrown when an attempt to register a Duplicate DataEntity specific Connection.
	/// </summary>
	public class DuplicateConnectionException : System.Exception
	{
		/// <summary>
		/// Initializes a new instance of the HSS.Data.DuplicateConnectionException class.
		/// </summary>
		public DuplicateConnectionException()
			: base("Duplicate Connection.")
		{
		}
		/// <summary>
		/// Initializes a new instance of the HSS.Data.DuplicateConnectionException class with a specified error message.
		/// </summary>
		/// <param name="message">The message that describes the error.</param>
		public DuplicateConnectionException(string message)
			: base(message)
		{
		}
	}
	#endregion
}