﻿// HSS.Data.IDataEntityGet.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       IDataEntityGet.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Data
{
	#region Using Directives

	#endregion

	#region IDataEntityGet
	/// <summary>
	/// IDataEntityGet marks a class as supporting the Get feature of <see cref="DataAccessService{TDataEntity}"/> services.
	/// </summary>
	public interface IDataEntityGet
	{
		/// <summary>
		/// Gets an item of the current type from the database
		/// </summary>
		/// <param name="da">The DataAccess instance providing access to a database</param>
		/// <param name="id">The id of the object to get</param>
		/// <returns>The object as an IDataEntity</returns>
		IDataEntity Get(DataAccess da, object id);
	}
	#endregion
}