﻿// HSS.Forms.AppDataChangedEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       AppDataChangedEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;
	#endregion

	#region AppDataChangedEventArgs
	/// <summary>
	/// AppDataChangedEventArgs
	/// </summary>
	public class AppDataChangedEventArgs : EventArgs
	{
		/// <summary>
		/// Initializes a new instance of the AppDataChangedEventArgs class by initializing all of its properties.
		/// </summary>
		/// <param name="appData">The Application Data that was changed</param>
		/// <param name="key">The key used to reference the AppData</param>
		/// <param name="oldValue">The old value</param>
		/// <param name="newValue">The new value</param>
		public AppDataChangedEventArgs(AppData appData, string key, object oldValue, object newValue)
		{
			this.data = appData;
			this.key = key;
			this.oldValue = oldValue;
			this.newValue = newValue;
		}

		/// <returns>
		/// returns the changed appdata object
		/// </returns>
		public AppData Data
		{
			get { return data; }
		} AppData data;

		/// <returns>
		/// The key of the changed appdata
		/// </returns>
		public string Key
		{
			get { return key; }
		} string key;

		/// <returns>
		/// The new value of the appdata
		/// </returns>
		public object NewValue
		{
			get { return newValue; }
		} object newValue;

		/// <returns>
		/// The new value of the appdata
		/// </returns>
		public object OldValue
		{
			get { return oldValue; }
		} object oldValue;
	}
	#endregion
}