// HSS.Forms.AppExceptionDialog.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       AppExceptionDialog.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System;
using System.Windows.Forms;

namespace HSS.Forms
{
	#region AppExceptionDialog
	/// <summary>
	/// Shows unhandled exceptions allowing user to send error, and optionally
	/// restart the application. Is primarily used by the AppContext to handle
	/// application errors and application restarts.
	/// </summary>
	public partial class AppExceptionDialog : Form
	{
		/// <summary>
		/// Default constructor
		/// </summary>
		public AppExceptionDialog()
		{
			InitializeComponent();
		}

		private void AppExceptionDialog_Load(object sender, EventArgs e)
		{
			this.btnNotSend.Focus();
			this.lblExceptionDate.Text = String.Format(this.lblExceptionDate.Text, DateTime.Now);
			this.lklViewReport.Left = this.lblViewReport.Right + 4;
		}
	}
	#endregion
}