﻿// HSS.Forms.Design.CustomStateTreeViewDesigner.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       CustomStateTreeViewDesigner.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms.Design
{
	#region CustomStateTreeViewDesigner
	/// <summary>
	/// A simple designer class for the <see cref="CustomStateTreeView"/> control to remove 
	/// unwanted properties at design time.
	/// </summary>
	public class CustomStateTreeViewDesigner
	: System.Windows.Forms.Design.ControlDesigner
	{
		/// <summary>
		/// Allows a designer to change or remove items from the set of properties that it exposes through a TypeDescriptor. 
		/// </summary>
		/// <param name="properties">The properties for the class of the component.</param>
		protected override void PreFilterProperties(System.Collections.IDictionary properties)
		{
			properties.Remove("CheckBoxes");
			properties.Remove("StateImageList");
		}
	}
	#endregion
}