﻿// HSS.Forms.ICanBeDirty.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ICanBeDirty.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System;

namespace HSS.Forms
{
	/// <summary>
	/// An interface a form or control can implement to support whether or not it's state has been modified
	/// </summary>
	public interface ICanBeDirty
	{
		/// <summary>
		/// DirtyChanged Event to notify listeners that the Dirty Stated has changed
		/// </summary>
		event EventHandler<DirtyEventArgs> DirtyChanged;

		/// <summary>
		/// Is the form or control Dirty
		/// </summary>
		bool IsDirty { get; set; }
	}
}