// HSS.Forms.ISplashScreen.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ISplashScreen.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives

	#endregion

	#region ISplashScreen
	/// <summary>
	/// An interface that is used to support a ThreadSafe, UISafe SplashScreen
	/// </summary>
	public interface ISplashScreen
	{
		/// <summary>
		/// Update the status and the progressbar
		/// </summary>
		/// <param name="message">The Status message</param>
		/// <param name="value">The value of the ProgressBar</param>
		void Update(string message, int value);
		/// <summary>
		/// Update the progressbar
		/// </summary>
		/// <param name="value">The value of the ProgressBar</param>
		void Update(int value);
		/// <summary>
		/// Update the status
		/// </summary>
		/// <param name="message">The Status message</param>
		void Update(string message);
	}
	#endregion
}