﻿// HSS.Forms.IStateTreeNode.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       IStateTreeNode.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region IStateTreeNode
	/// <summary>
	/// Interface used by <see cref="CustomStateTreeView"/> to delegate state change.
	/// </summary>
	public interface IStateTreeNode
	{
		/// <summary>
		/// Allows implemented classes to handle updating the custom state of the node
		/// </summary>
		/// <param name="e"></param>
		void UpdateState(System.Windows.Forms.TreeViewCancelEventArgs e);
	}
	#endregion
}