﻿// HSS.Forms.IStringTagProvider.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       IStringTagProvider.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	/// <summary>
	/// Allows custom strings to be parsed
	/// </summary>
	public interface IStringTagProvider
	{
		/// <summary>
		/// The array of parsable Tags
		/// </summary>
		string[] Tags
		{
			get;
		}
		/// <summary>
		/// Converts the tag to the string value
		/// </summary>
		/// <param name="tag">The tag to convert</param>
		/// <returns>The string value</returns>
		string Convert(string tag);
	}
}