// HSS.Forms.IUIDataElement.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       IUIDataElement.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;
	using HSS.Data;
	#endregion

	/// <summary>
	/// IUIDataElement
	/// </summary>
	public interface IUIDataElement
	{
		#region Properties
		/// <summary>
		/// The object that is the source of the data for this element
		/// </summary>
		IDataContainer Data { get; set; }
		/// <summary>
		/// Gets the Type of Data
		/// </summary>
		Type DataType { get; }
		/// <summary>
		/// Gets the assembly-qualified name of the type of Data
		/// </summary>
		string DataTypeName { get; }
		#endregion
	}
}