// HSS.Forms.ItemDeleteEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ItemDeleteEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;
	#endregion

	#region ItemDeleteEventArgs
	/// <summary>
	/// Provides data for the <see cref="HSS.Forms.DataListView.DeleteSelectedItem"></see> event of the <see cref="HSS.Forms.DataListView"></see>.
	/// </summary>
	public class ItemDeleteEventArgs : EventArgs
	{
		/// <summary>
		/// ctor
		/// </summary>
		private ItemDeleteEventArgs() { }
		/// <summary>
		/// ctor
		/// </summary>
		/// <param name="Index">The zero-based index of the item to delete.</param>
		public ItemDeleteEventArgs(int Index)
		{
			_index = Index;
		}
		/// <summary>
		/// The zero-based index of the item to delete.
		/// </summary>
		public int Index
		{
			get { return _index; }
			set { _index = value; }
		} int _index;
	}
	#endregion
}