// HSS.Forms.ModuleActions.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ModuleActions.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using directives
	using System;
	#endregion

	#region Enumerators
	/// <summary>
	/// ModuleActions
	/// </summary>
	[Serializable]
	public enum ModuleActions : int
	{
		/// <summary>
		/// Indicates to load Module for creating a new item
		/// </summary>
		New = 0,
		/// <summary>
		/// Indicates to load Module for editing an existing item
		/// </summary>
		Edit = 1
	}
	#endregion

	#region Structs
	/// <summary>
	/// ModuleActions Constants
	/// </summary>
	public struct ModuleAction
	{
		/// <summary>
		/// Indicates to load Module for entering a new record
		/// </summary>
		public const int New = 0;
		/// <summary>
		/// Indicates to load Module for viewing a record
		/// </summary>
		public const int View = 1;
		/// <summary>
		/// Indicates to load Module for editing a record
		/// </summary>
		public const int Edit = 2;
	}
	#endregion
}