﻿// HSS.Forms.ResourceNotFoundException.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       ResourceNotFoundException.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;
	using System.Runtime.Serialization;
	#endregion

	#region ResourceNotFoundException
	/// <summary>
	/// Is thrown when the GlobalResource manager can't find a requested
	/// resource.
	/// </summary>
	[Serializable]
	public class ResourceNotFoundException : CoreException
	{
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="resource">The resource</param>
		public ResourceNotFoundException(string resource)
			: base("Resource not found : " + resource)
		{
		}
		/// <summary>
		/// Constructor
		/// </summary>
		public ResourceNotFoundException()
			: base()
		{
		}
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="message">Exeption message</param>
		/// <param name="innerException">An inner exception</param>
		public ResourceNotFoundException(string message, Exception innerException)
			: base(message, innerException)
		{
		}
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="info">SerializationInfo</param>
		/// <param name="context">StreamingContext</param>
		protected ResourceNotFoundException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
	#endregion
}