// HSS.Forms.RowAddedEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       RowAddedEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;

	#endregion

	#region RowAddedEventArgs
	/// <summary>
	/// Contains information for when a row is added
	/// </summary>
	public class RowAddedEventArgs : EventArgs
	{
		#region Constructors
		/// <summary>
		/// Default Constructor
		/// </summary>
		public RowAddedEventArgs()
		{
		}
		/// <summary>
		/// Constructor specifying the Row and the Data associated with the row
		/// </summary>
		public RowAddedEventArgs(HSS.Data.IDataContainer data, HSS.Forms.DataListItem row)
		{
			this._data = data;
			this._row = row;
		}
		#endregion

		#region Properties
		/// <summary>
		/// The DataListItem representing the Row that was just added.
		/// </summary>
		public HSS.Forms.DataListItem Row
		{
			get { return _row; }
			set { _row = value; }
		} HSS.Forms.DataListItem _row;
		/// <summary>
		/// The data associated with the Row.
		/// </summary>
		public HSS.Data.IDataContainer Data
		{
			get { return _data; }
			set { _data = value; }
		} HSS.Data.IDataContainer _data;
		#endregion
	}
	#endregion
}