// HSS.Forms.SendExceptionEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       SendExceptionEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;

	#endregion

	#region SendExceptionEventArgs
	/// <summary>
	/// Send Exception EventArgs
	/// </summary>
	public class SendExceptionEventArgs : System.EventArgs
	{
		#region Constructor
		/// <summary>
		/// Default Constructor
		/// </summary>
		/// <param name="SendDetailsArg">Indicate whether or not to send the Exception details</param>
		/// <param name="ExceptionArg">The Unhandled Exception</param>
		/// <param name="RestartAppArg">An indicator on whether or not to restart the application</param>
		public SendExceptionEventArgs(bool SendDetailsArg, Exception ExceptionArg, bool RestartAppArg)
		{
			this.SendException = SendDetailsArg;     // TRUE if user clicked on "Send Error Report" button and FALSE if on "Don't Send"
			this.UnhandledException = ExceptionArg;         // Used to store captured exception
			this.RestartApp = RestartAppArg;                // Contains user's request: should the App to be restarted or not
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets whether or not to send the Exception
		/// </summary>
		public bool SendException
		{
			get { return _sendException; }
			set { _sendException = value; }
		} bool _sendException;
		/// <summary>
		/// Gets or sets the Unhandled Exception
		/// </summary>
		public Exception UnhandledException
		{
			get { return _unhandledException; }
			set { _unhandledException = value; }
		} Exception _unhandledException;
		/// <summary>
		/// Gets or sets an indicator on whether or not to restart the application
		/// </summary>
		public bool RestartApp
		{
			get { return _restartApp; }
			set { _restartApp = value; }
		} bool _restartApp;
		#endregion
	}
	#endregion
}