// HSS.Forms.WizardPanelChangingEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       WizardPanelChangingEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms
{
	#region Using Directives
	using System;
	#endregion

	/// <summary>
	/// Panel Changing
	/// </summary>
	public class WizardPanelChangingEventArgs : EventArgs
	{
		private WizardPanel _currentPanel;

		/// <summary>
		/// ctor
		/// </summary>
		/// <param name="currentPanel">The current WizardPanel</param>
		public WizardPanelChangingEventArgs(WizardPanel currentPanel)
		{
			this._currentPanel = currentPanel;
		}
		/// <summary>
		/// The current WizardPanel
		/// </summary>
		public WizardPanel CurrentPanel
		{
			get
			{
				return this._currentPanel;
			}
		}
	}
}