// HSS.Logging.Management.LogViewerInitializedEventArgs.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       LogViewerInitializedEventArgs.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging.Management
{
	#region Using Directives
	using System;
	#endregion

	/// <summary>
	/// LogViewerInitializedEventArgs
	/// </summary>
	public class LogViewerInitializedEventArgs : EventArgs
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public LogViewerInitializedEventArgs()
		{
		}

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="Success">Was the initialization successful</param>
		public LogViewerInitializedEventArgs(bool Success)
		{
			_success = Success;
		}

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="Success">Was the initialization successful</param>
		/// <param name="Failure">Any exceptions encountered</param>
		public LogViewerInitializedEventArgs(bool Success, Exception Failure)
		{
			_success = Success;
			_failure = Failure;
		}

		/// <summary>
		/// Was the initialization successful
		/// </summary>
		public bool Success
		{
			get { return _success; }
			set { _success = value; }
		} bool _success;

		/// <summary>
		/// Any exceptions encountered
		/// </summary>
		public Exception Failure
		{
			get { return _failure; }
			set { _failure = value; }
		} Exception _failure;
	}
}