// HSS.Logging.Management.WelcomePanel.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       WelcomePanel.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Logging.Management
{
	#region Using Directives
	using System;
	using System.ComponentModel;
	using System.Drawing;
	using System.Windows.Forms;
	using HSS.Forms;
	#endregion


	internal sealed class WelcomePanel : WizardPanel
	{
		private Label _welcomeLabel;
		private TableLayoutPanel overarchingTableLayoutPanel;

		public WelcomePanel()
		{
			this.InitializeComponent();
			base.Caption = HSS.Logging.Management.Resources.Welcome_Caption;
		}

		private void InitializeComponent()
		{
			this._welcomeLabel = new Label();
			this.overarchingTableLayoutPanel = new TableLayoutPanel();
			this.overarchingTableLayoutPanel.SuspendLayout();
			base.SuspendLayout();
			new ComponentResourceManager(typeof(WelcomePanel)).ApplyResources(this._welcomeLabel, "_welcomeLabel");
			this._welcomeLabel.Margin = new Padding(0);
			this._welcomeLabel.Name = "_welcomeLabel";
			this._welcomeLabel.Size = new Size(0x220, 0x72);
			this._welcomeLabel.TabIndex = 0;
			this.overarchingTableLayoutPanel.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Top;
			this.overarchingTableLayoutPanel.AutoSize = true;
			this.overarchingTableLayoutPanel.ColumnCount = 1;
			this.overarchingTableLayoutPanel.Location = new Point(0, 0);
			this.overarchingTableLayoutPanel.RowCount = 1;
			this.overarchingTableLayoutPanel.Size = new Size(0x220, 0x72);
			this.overarchingTableLayoutPanel.TabIndex = 1;
			this.overarchingTableLayoutPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 544f));
			this.overarchingTableLayoutPanel.Controls.Add(this._welcomeLabel, 0, 0);
			this.overarchingTableLayoutPanel.Margin = new Padding(12);
			this.overarchingTableLayoutPanel.Name = "overarchingTableLayoutPanel";
			this.overarchingTableLayoutPanel.RowStyles.Add(new RowStyle());
			base.Controls.Add(this.overarchingTableLayoutPanel);
			base.Name = "WelcomePanel";
			this.overarchingTableLayoutPanel.ResumeLayout(false);
			this.overarchingTableLayoutPanel.PerformLayout();
			base.ResumeLayout(false);
			base.PerformLayout();
		}
	}
}