// HSS.Net.Dns.Records.RecordUnknown.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       RecordUnknown.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System;

namespace HSS.Net.Dns.Records
{
	/// <summary>
	/// An Unknown Dns Record
	/// </summary>
	[System.CLSCompliant(false)]
	public class RecordUnknown : Record
	{
		/// <summary>
		/// The record data
		/// </summary>
		public byte[] RDATA;
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="rr">The RecordReader</param>
		public RecordUnknown(RecordReader rr)
		{
			// re-read length
			ushort RDLENGTH = rr.ReadUInt16(-2);
			RDATA = rr.ReadBytes(RDLENGTH);
		}
	}
}