// HSS.Net.Mail.SmtpCommands.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       SmtpCommands.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Net.Mail
{
	#region Using Directives
	using System;
	using System.Text;
	#endregion

	#region SmtpCommands
	internal static class SmtpCommands
	{
		static SmtpCommands()
		{
			SmtpCommands.Auth = Encoding.ASCII.GetBytes("AUTH ");
			SmtpCommands.CRLF = Encoding.ASCII.GetBytes("\r\n");
			SmtpCommands.Data = Encoding.ASCII.GetBytes("DATA\r\n");
			SmtpCommands.DataStop = Encoding.ASCII.GetBytes("\r\n.\r\n");
			SmtpCommands.EHello = Encoding.ASCII.GetBytes("EHLO ");
			SmtpCommands.Expand = Encoding.ASCII.GetBytes("EXPN ");
			SmtpCommands.Hello = Encoding.ASCII.GetBytes("HELO ");
			SmtpCommands.Help = Encoding.ASCII.GetBytes("HELP");
			SmtpCommands.Mail = Encoding.ASCII.GetBytes("MAIL FROM:");
			SmtpCommands.Noop = Encoding.ASCII.GetBytes("NOOP\r\n");
			SmtpCommands.Quit = Encoding.ASCII.GetBytes("QUIT\r\n");
			SmtpCommands.Recipient = Encoding.ASCII.GetBytes("RCPT TO:");
			SmtpCommands.Reset = Encoding.ASCII.GetBytes("RSET\r\n");
			SmtpCommands.Send = Encoding.ASCII.GetBytes("SEND FROM:");
			SmtpCommands.SendAndMail = Encoding.ASCII.GetBytes("SAML FROM:");
			SmtpCommands.SendOrMail = Encoding.ASCII.GetBytes("SOML FROM:");
			SmtpCommands.Turn = Encoding.ASCII.GetBytes("TURN\r\n");
			SmtpCommands.Verify = Encoding.ASCII.GetBytes("VRFY ");
			SmtpCommands.StartTls = Encoding.ASCII.GetBytes("STARTTLS");
		}


		internal static readonly byte[] Auth;
		internal static readonly byte[] CRLF;
		internal static readonly byte[] Data;
		internal static readonly byte[] DataStop;
		internal static readonly byte[] EHello;
		internal static readonly byte[] Expand;
		internal static readonly byte[] Hello;
		internal static readonly byte[] Help;
		internal static readonly byte[] Mail;
		internal static readonly byte[] Noop;
		internal static readonly byte[] Quit;
		internal static readonly byte[] Recipient;
		internal static readonly byte[] Reset;
		internal static readonly byte[] Send;
		internal static readonly byte[] SendAndMail;
		internal static readonly byte[] SendOrMail;
		internal static readonly byte[] StartTls;
		internal static readonly byte[] Turn;
		internal static readonly byte[] Verify;
	}
	#endregion
}