﻿// HSS.ServiceModel.VirtualServiceContext.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       VirtualServiceContext.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.ServiceModel
{
	#region VirtualServiceContext
	/// <summary>
	/// Context information for a VirtualServiceProvider.
	/// </summary>
#if !DEBUG
	[System.Diagnostics.DebuggerStepThroughAttribute()]
#endif
	public class VirtualServiceContext
	{
		#region Constructors
		/// <summary>
		/// Constructor
		/// </summary>
		public VirtualServiceContext()
		{

		}
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="virtualServiceToken">The valid ServiceToken.</param>
		/// <param name="requiresSSL">Indicate if the VirtualServiceProvider requires secured (SSL) connections, when receiving client requests. default: true.</param>
		public VirtualServiceContext(string virtualServiceToken, bool requiresSSL = true)
		{
			this.VirtualServiceToken = virtualServiceToken;
			this.RequiresSSL = requiresSSL;
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the valid ServiceToken.
		/// </summary>
		public string VirtualServiceToken { get; set; }
		/// <summary>
		/// Gets or sets if the VirtualServiceProvider requires secured (SSL) connections, when receiving client requests.
		/// </summary>
		public bool RequiresSSL { get; set; }
		#endregion
	}
	#endregion
}