// HSS.Forms.Docking.DockPaneCollection.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       DockPaneCollection.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace HSS.Forms.Docking
{
	/// <summary>
	/// DockPaneCollection
	/// </summary>
	public class DockPaneCollection : ReadOnlyCollection<DockPane>
	{
        internal DockPaneCollection()
            : base(new List<DockPane>())
        {
        }

		internal int Add(DockPane pane)
		{
			if (Items.Contains(pane))
				return Items.IndexOf(pane);

			Items.Add(pane);
            return Count - 1;
		}

		internal void AddAt(DockPane pane, int index)
		{
			if (index < 0 || index > Items.Count - 1)
				return;
			
			if (Contains(pane))
				return;

			Items.Insert(index, pane);
		}

		internal void Dispose()
		{
			for (int i=Count - 1; i>=0; i--)
				this[i].Close();
		}

		internal void Remove(DockPane pane)
		{
			Items.Remove(pane);
		}
	}
}