// HSS.Forms.Docking.Enums.cs
// ----------------------------------------------------------------------------
// Licensed under the MIT license
// http://www.opensource.org/licenses/mit-license.html
// ----------------------------------------------------------------------------
// HighSpeed-Solutions, LLC
// Copyright (c) 2001-2010
// ----------------------------------------------------------------------------
// File:       Enums.cs
// Author:     HSS\gbanta
// Created:    08/12/2010
// Modified:   12/04/2010
// ----------------------------------------------------------------------------
namespace HSS.Forms.Docking
{
	#region Using Directives
	using System;
	using System.ComponentModel;
	#endregion

	#region DockAreas
	/// <summary>
	/// DockAreas
	/// </summary>
	[Flags]
	[Serializable]
	[Editor(typeof(DockAreasEditor), typeof(System.Drawing.Design.UITypeEditor))]
	public enum DockAreas
	{
		/// <summary>
		/// Float = 1
		/// </summary>
		Float = 1,
		/// <summary>
		/// DockLeft = 2
		/// </summary>
		DockLeft = 2,
		/// <summary>
		/// DockRight = 4
		/// </summary>
		DockRight = 4,
		/// <summary>
		/// DockTop = 8
		/// </summary>
		DockTop = 8,
		/// <summary>
		/// DockBottom = 16
		/// </summary>
		DockBottom = 16,
		/// <summary>
		/// Document = 32
		/// </summary>
		Document = 32
	}
	#endregion

	#region DockState
	/// <summary>
	/// DockState
	/// </summary>
	public enum DockState
	{
		/// <summary>
		/// Unknown = 0
		/// </summary>
		Unknown = 0,
		/// <summary>
		/// Float = 1
		/// </summary>
		Float = 1,
		/// <summary>
		/// DockTopAutoHide = 2
		/// </summary>
		DockTopAutoHide = 2,
		/// <summary>
		/// DockLeftAutoHide = 3
		/// </summary>
		DockLeftAutoHide = 3,
		/// <summary>
		/// DockBottomAutoHide = 4
		/// </summary>
		DockBottomAutoHide = 4,
		/// <summary>
		/// DockRightAutoHide = 5
		/// </summary>
		DockRightAutoHide = 5,
		/// <summary>
		/// Document = 6
		/// </summary>
		Document = 6,
		/// <summary>
		/// DockTop = 7
		/// </summary>
		DockTop = 7,
		/// <summary>
		/// DockLeft = 8
		/// </summary>
		DockLeft = 8,
		/// <summary>
		/// DockBottom = 9
		/// </summary>
		DockBottom = 9,
		/// <summary>
		/// DockRight = 10
		/// </summary>
		DockRight = 10,
		/// <summary>
		/// Hidden = 11
		/// </summary>
		Hidden = 11
	}
	#endregion

	#region DockAlignment
	/// <summary>
	/// DockAlignment
	/// </summary>
	public enum DockAlignment
	{
		/// <summary>
		/// Left Aligned
		/// </summary>
		Left,
		/// <summary>
		/// Right Aligned
		/// </summary>
		Right,
		/// <summary>
		/// Top Aligned
		/// </summary>
		Top,
		/// <summary>
		/// Bottom Aligned
		/// </summary>
		Bottom
	}
	#endregion

	#region DocumentStyle
	/// <summary>
	/// DocumentStyle
	/// </summary>
	public enum DocumentStyle
	{
		/// <summary>
		/// DockingMdi
		/// </summary>
		DockingMdi,
		/// <summary>
		/// DockingWindow
		/// </summary>
		DockingWindow,
		/// <summary>
		/// DockingSdi
		/// </summary>
		DockingSdi,
		/// <summary>
		/// SystemMdi
		/// </summary>
		SystemMdi
	}
	#endregion
}